Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# StarTransactions

class telegram.StarTransactions(transactions, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  Contains a list of Telegram Star transactions.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `transactions` are equal.

  Returned In

  `telegram.Bot.get_star_transactions()`

  Added in version 21.4.

  Parameters:

    transactions (Sequence[`telegram.StarTransaction`]) – The list of transactions.

  transactions

    The list of transactions.

    Type:

      tuple[`telegram.StarTransaction`]

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.